Index: /branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/zoo_service_loader.c
===================================================================
--- /branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 512)
+++ /branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 513)
@@ -2915,64 +2961,48 @@
             }
 #ifdef DEBUG
+          if (SetEnvironmentVariable (mapcs->name, mapcs->value) == 0)
+            {
+              fflush (stderr);
+              fprintf (stderr, "setting variable... %s\n", "OK");
+            }
+          else
+            {
+              fflush (stderr);
+              fprintf (stderr, "setting variable... %s\n", "OK");
+            }
+#else
+
+
+          SetEnvironmentVariable (mapcs->name, mapcs->value);
+#endif
+          char *toto =
+            (char
+             *) malloc ((strlen
+                         (mapcs->name) +
+                         strlen (mapcs->value) + 2) * sizeof (char));
+          sprintf (toto, "%s=%s", mapcs->name, mapcs->value);
+          putenv (toto);
+#ifdef DEBUG
           fflush (stderr);
-          fprintf (stderr, "setting variable... %s\n", (
-#endif
-                                                         SetEnvironmentVariable
-                                                         (mapcs->name,
-                                                          mapcs->value)
-#ifdef DEBUG
-                                                         == 0) ? "OK" :
-                   "FAILED");
-#else
-                                                         ;
-#endif
-                                                         char *toto =
-                                                         (char
-                                                          *)malloc ((strlen
-                                                                     (mapcs->
-                                                                      name) +
-                                                                     strlen
-                                                                     (mapcs->
-                                                                      value) +
-                                                                     2) *
-                                                                    sizeof
-                                                                    (char));
-                                                         sprintf (toto,
-                                                                  "%s=%s",
-                                                                  mapcs->name,
-                                                                  mapcs->
-                                                                  value);
-                                                         putenv (toto);
-#ifdef DEBUG
-                                                         fflush (stderr);
-#endif
-#endif
-#ifdef DEBUG
-                                                         fprintf (stderr,
-                                                                  "[ZOO: setenv (%s=%s)]\n",
-                                                                  mapcs->name,
-                                                                  mapcs->
-                                                                  value);
-                                                         fflush (stderr);
-#endif
-                                                         mapcs = mapcs->next;}
-                                                         }
-
-#ifdef DEBUG
-                                                         dumpMap
-                                                         (request_inputs);
+#endif
+#endif
+#ifdef DEBUG
+          fprintf (stderr,
+                   "[ZOO: setenv (%s=%s)]\n", mapcs->name, mapcs->value);
+          fflush (stderr);
+#endif
+          mapcs = mapcs->next;
+        }
+    }
+#ifdef DEBUG
+  dumpMap (request_inputs);
 #endif
   /**
    * Need to check if we need to fork to load a status enabled 
    */
-                                                         r_inputs = NULL;
-                                                         map * store =
-                                                         getMap
-                                                         (request_inputs,
-                                                          "storeExecuteResponse");
-                                                         map * status =
-                                                         getMap
-                                                         (request_inputs,
-                                                          "status");
+  r_inputs = NULL;
+  map *store = getMap (request_inputs,
+                       "storeExecuteResponse");
+  map *status = getMap (request_inputs, "status");
   /**
    * 05-007r7 WPS 1.0.0 page 57 :
@@ -2980,42 +3010,29 @@
    * shall raise an exception.'
    */
-                                                         if (status != NULL
-                                                             &&
-                                                             strcmp
-                                                             (status->value,
-                                                              "true") == 0
-                                                             && store != NULL
-                                                             &&
-                                                             strcmp
-                                                             (store->value,
-                                                              "false") == 0)
-                                                         {
-                                                         errorException (m,
-                                                                         _
-                                                                         ("Status cannot be set to true with storeExecuteResponse to false. Please, modify your request parameters."),
-                                                                         "InvalidParameterValue",
-                                                                         "storeExecuteResponse");
-                                                         freeService (&s1);
-                                                         free (s1);
-                                                         freeMaps (&m);
-                                                         free (m);
-                                                         freeMaps
-                                                         (&request_input_real_format);
-                                                         free
-                                                         (request_input_real_format);
-                                                         freeMaps
-                                                         (&request_output_real_format);
-                                                         free
-                                                         (request_output_real_format);
-                                                         free (REQUEST);
-                                                         free (SERVICE_URL);
-                                                         return 1;}
-                                                         r_inputs =
-                                                         getMap
-                                                         (request_inputs,
-                                                          "storeExecuteResponse");
-                                                         int eres =
-                                                         SERVICE_STARTED;
-                                                         int cpid = getpid ();
+  if (status != NULL
+      &&
+      strcmp
+      (status->value,
+       "true") == 0 && store != NULL && strcmp (store->value, "false") == 0)
+    {
+      errorException (m,
+                      _
+                      ("Status cannot be set to true with storeExecuteResponse to false. Please, modify your request parameters."),
+                      "InvalidParameterValue", "storeExecuteResponse");
+      freeService (&s1);
+      free (s1);
+      freeMaps (&m);
+      free (m);
+      freeMaps (&request_input_real_format);
+      free (request_input_real_format);
+      freeMaps (&request_output_real_format);
+      free (request_output_real_format);
+      free (REQUEST);
+      free (SERVICE_URL);
+      return 1;
+    }
+  r_inputs = getMap (request_inputs, "storeExecuteResponse");
+  int eres = SERVICE_STARTED;
+  int cpid = getpid ();
   /**
    * Initialize the specific [lenv] section which contains runtime variables:
